Subject: Re: Should setup suggests to downgrade? [WAS: Lillypond for Cygwin]
From: "David A. Cobb" <[email-masked]>
To: Jan Nieuwenhuizen <[email-masked]>
Cc: [email-masked]
Date: Thu, 04 Apr 2002 10:59:19 -0500

Jan Nieuwenhuizen wrote:

>Jan Nieuwenhuizen <[email-masked]> writes:
>
>>By the way, are you using the latest setup.exe from Cygwin?  Setup.exe
>>should never suggest to downgrade, I think.
>>
>
>Found the answer in the README that comes with setup: it's still a
>TODO item:
>
>   TODO
>   [..]
>   * Don't downgrade if the curr version is <= installed?
>
>Btw, this should apply to test too, I think.
>
I agree.  It's annoying at best to install a group of test packages and 
then, the next time I run setup, if I don't watch carefully they would 
revert to the current.

An obvious problem is having everyone use a revision-level scheme that 
tests correctly.  I see at least two very different schemes here.   
Also, setup would need to parse, e.g. 1.9-3 so that it's less than 
1.10-1.  I'll have to do a more thorough survey to see if a simple 
minded algorithm would catch all the cases.

>
>
>Jan.   
>

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/